Package org.apache.tapestry5.jpa.modules

# Class JpaModule

java.lang.Object
org.apache.tapestry5.jpa.modules.JpaModule

public class JpaModule extends Object
Defines core services for JPA support.

Since:
  5.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JpaModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `bind(ServiceBinder binder)`
  `static EntityManagerManager`
  `buildEntityManagerManager(EntityManagerSource entityManagerSource, PerthreadManager perthreadManager, org.slf4j.Logger logger)`
  `static JpaEntityPackageManager`
  `buildJpaEntityPackageManager(Collection<String> packageNames)`
  `static void`
  `provideApplicationStateContributions(MappedConfiguration<Class,ApplicationStateContribution> configuration, EntityManagerSource entityManagerSource, boolean entitySessionStatePersistenceStrategyEnabled)`
  `void`
  `provideApplicationStatePersistenceStrategies(MappedConfiguration<String,ApplicationStatePersistenceStrategy> configuration)`
  `static void`
  `provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)`
  `static void`
  `provideEntityPackages(Configuration<String> configuration, String appRootPackage)`
  `static void`
  `provideEntityPersistentFieldStrategies(MappedConfiguration<String,PersistentFieldStrategy> configuration)`
  `static void`
  `provideFactoryDefaults(MappedConfiguration<String,String> configuration)`
  `static void`
  `provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)`
  `static void`
  `provideValueEncoders(MappedConfiguration<Class,ValueEncoderFactory> configuration, boolean provideEncoders, EntityManagerSource entityManagerSource, EntityManagerManager entityManagerManager, TypeCoercer typeCoercer, PropertyAccess propertyAccess, LoggerSource loggerSource)`
  `static void`
  `startupEarly(EntityManagerManager entityManagerManager, boolean earlyStartup)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JpaModule

    public JpaModule()

- ## Method Details

  - ### bind

    public static void bind(ServiceBinder binder)

  - ### buildJpaEntityPackageManager

    public static JpaEntityPackageManager buildJpaEntityPackageManager(Collection<String> packageNames)

  - ### buildEntityManagerManager

    @Scope("perthread") public static EntityManagerManager buildEntityManagerManager(EntityManagerSource entityManagerSource, PerthreadManager perthreadManager, org.slf4j.Logger logger)

  - ### provideEntityPackages

    @Contribute(JpaEntityPackageManager.class) public static void provideEntityPackages(Configuration<String> configuration, @Symbol("tapestry.app-package") String appRootPackage)

  - ### provideEntityPersistentFieldStrategies

    @Contribute(PersistentFieldManager.class) public static void provideEntityPersistentFieldStrategies(MappedConfiguration<String,PersistentFieldStrategy> configuration)

  - ### provideApplicationStatePersistenceStrategies

    @Contribute(ApplicationStatePersistenceStrategySource.class) public void provideApplicationStatePersistenceStrategies(MappedConfiguration<String,ApplicationStatePersistenceStrategy> configuration)

  - ### provideClassTransformWorkers

    @Contribute(ComponentClassTransformWorker2.class) @Primary public static void provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)

  - ### provideObjectProviders

    @Contribute(MasterObjectProvider.class) public static void provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)

  - ### provideFactoryDefaults

    @Contribute(SymbolProvider.class) @FactoryDefaults public static void provideFactoryDefaults(MappedConfiguration<String,String> configuration)

  - ### provideValueEncoders

    @Contribute(ValueEncoderSource.class) public static void provideValueEncoders(MappedConfiguration<Class,ValueEncoderFactory> configuration, @Symbol("tapestry.jpa.provide-entity-value-encoders") boolean provideEncoders, EntityManagerSource entityManagerSource, EntityManagerManager entityManagerManager, TypeCoercer typeCoercer, PropertyAccess propertyAccess, LoggerSource loggerSource)

  - ### provideApplicationStateContributions

    @Contribute(ApplicationStateManager.class) public static void provideApplicationStateContributions(MappedConfiguration<Class,ApplicationStateContribution> configuration, EntityManagerSource entityManagerSource, @Symbol("tapestry.jpa.entity-session-state-persistence-strategy-enabled") boolean entitySessionStatePersistenceStrategyEnabled)

  - ### startupEarly

    @Startup public static void startupEarly(EntityManagerManager entityManagerManager, @Symbol("tapestry.jpa.early-startup") boolean earlyStartup)